---
sidebar_position: 4
description: Fill project settings and other functions to work with Melezh in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Fill project settings
 Fills in the settings from the passed collection



`Function FillProjectSettings(Val Project, Val Settings) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Project | --proj | String | &#x2714; | Project filepath |
  | Settings | --set | Map Of KeyAndValue | &#x2714; | Collection key and value to fill in the settings |

  
  Returns:  Structure Of KeyAndValue - Project settings list

<br/>

:::tip
If values are modified in a running project, the changes may take up to 60 seconds to be applied
:::
<br/>


 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON данные также могут быть переданы как путь к файлу .json
            
            melezh  FillProjectSettings \
              --proj "/proj.melezh" \
              --set "{'logs_req_headers':false,'logs_req_body':false}"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON данные также могут быть переданы как путь к файлу .json
            
            melezh  FillProjectSettings ^
              --proj "/proj.melezh" ^
              --set "{'logs_req_headers':false,'logs_req_body':false}"
        ```
    </TabItem>
</Tabs>

```json title="Result"
{
 "result": true
}
```
